import MetalKit

/*
 You can call this method as following
 material.setTextureProperties([
 .BaseColor:"my_base_color.jpg",
 .Specular:"my_specular.jpg",
 .Emission:"my_emission.jpg"])
 */
extension MDLMaterial {
    func setTextures(textures: [MDLMaterialSemantic:String]) -> Void {
        for (key,value) in textures {
            guard let url = Bundle.main.url(forResource: value, withExtension: "") else {
                fatalError("Failed to load MDLMaterial properties from file: \(value).")
            }
            let property = MDLMaterialProperty(name:value, semantic: key, url: url)
            self.setProperty(property)
        }
    }
}
